@echo off

set "lj=%~p0"
set "lj=%lj:\= %"
for %%a in (%lj%) do set wjj=%%a

rem 编译DebugGame的版本,跳过烘焙,打包pak
set BuildConfig=DebugGame
set UprojectPath="%~dp0%wjj%.uproject"
set DebugPath="%~dp0Build\%BuildConfig%"
D:\UnrealEngine-5.0.0-early-access-2\Engine\Build\BatchFiles\RunUAT.bat BuildCookRun -project=%UprojectPath%^
 -nocompileeditor^
 -noP4 -platform=Win64^
 -clientconfig=%BuildConfig%^
 -cook -allmaps -build -stage^
 -pak -stage -archive -archivedirectory=%DebugPath%
